Qt 5.11 | Qt Core | C++ Classes | QCommandLineOption

Qt 5.11.3 Reference Documentation

# Obsolete Members for QCommandLineOption

The following members of class QCommandLineOption are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` bool | isHidden() const
`(obsolete)` void | setHidden(bool hide)

## Member Function Documentation

### bool QCommandLineOption::isHidden() const

Returns true if this option is omitted from the help output, false if the option is listed.

This function was introduced in Qt 5.6.

See also setHidden() and QCommandLineOption::HiddenFromHelp.

### void QCommandLineOption::setHidden(bool hide)

Sets whether to hide this option in the user-visible help output.

All options are visible by default. Setting hide to true for a particular option makes it internal, i.e. not listed in the help output.

This function was introduced in Qt 5.6.

See also isHidden.